   @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

   :root {
       --color-primario: #FF6726;
       --color-bg: #ffffff;
       --color-bg-post: #1E1E1E;
       --color-bg-2: #20232A;
       --color-post: #ffffff;
       --color-texto: #463F57;
       --color-texto-2: #2E2A3A;
       --color-secundario: #FF8331;
       --color-hover: #FF784E;
       --color-borde: #333;
       --color-boton-wsp: #25D366;
       --color-boton-wsp-hover: #128C7E;
       --degradado-principal: linear-gradient(to bottom, #0074C1, #59B2F4);

   }

   * {
       box-sizing: border-box;
   }

   html,
   body {
       width: 100%;
       overflow-x: hidden;
   }

   body {
       font-family: "Poppins", sans-serif;
       margin: 0;
       color: var(--color-texto);
   }

   html {
       scroll-behavior: smooth;
   }

   header {
       position: fixed;
       background: var(--color-bg);
       top: 0;
       left: 0;
       width: 100%;
       z-index: 1000;
       box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
   }

   header .containerHeader {
       display: flex;
       justify-content: space-between;
       flex-wrap: wrap;
       flex-direction: column;
       align-items: left;
       color: var(--color-texto);
       margin-left: 2rem;
   }

   header .selector-pais {
       position: absolute;
       right: 2rem;
       top: 0.5rem;
       display: flex;
       align-items: center;
       gap: 5px;
       font-size: 14px;
       z-index: 10;
   }

   header .selector-pais label {
       color: var(--color-texto);
   }

   header .selector-pais select {
       padding: 5px 12px;
       border-radius: 5px;
       border: 1px solid #888;
       background-color: var(--color-texto);
       color: var(--color-post);
       font-size: 14px;
   }

   header img {
       margin-top: 0.5rem;
       margin-left: -1rem;
       width: 100px;
   }

   .titulo-principal {
       font-family: "Poppins", sans-serif;
       letter-spacing: 1px;
       color: var(--color-texto);
       font-size: 2.5rem;
       font-weight: 700;
       margin-left: 5.8rem;
       margin-top: -6rem;
       margin-bottom: -1em;
   }

   .subtitulo-principal {
       font-family: "Poppins", sans-serif;
       color: var(--color-texto);
       font-weight: 400;
       font-size: 1.1rem;
       margin-left: 5.8rem;
       margin-top: 2rem;
       margin-bottom: -1em;
   }

   .slogan {
       font-family: "Poppins", sans-serif;
       color: #ff6600;
       font-weight: 500;
       font-size: 1.1rem;
       margin-left: 6rem;
       margin-top: .8rem;
       margin-bottom: -1em;
       font-style: oblique;
   }

   header nav {
       display: flex;
       justify-content: flex-end;
       margin-top: -2.5em;
       margin-right: 0em;
       gap: 20px;
       padding-bottom: 5px;
   }

   header nav a {
       color: var(--color-texto);
       font-weight: 500;
       text-decoration: none;
       transition: color 0.3s, border-bottom 0.3s;
   }

   header nav a:hover {
       color: var(--color-primario);
       border-bottom: 2px solid var(--color-primario);
   }

   .login-button {
       background: transparent;
       color: var(--color-texto);
       border: 1px solid var(--color-primario);
       padding: 8px 8px;
       text-decoration: none;
       border-radius: 15px;
       font-size: 14px;
   }

   .login-button:hover {
       background-color: var(--color-primario);
       color: var(--color-post);
   }

   nav ul {
       display: flex;
       gap: 20px;
       list-style: none;
       padding: 0;
       margin-right: 12em;
       justify-content: flex-end;
   }

   .nav-list {
       margin-top: 1rem;
   }

   nav li {
       display: inline;
   }

   nav a {
       color: #EDD8BD;
       text-decoration: none;
       transition: 0.3s;
       padding-bottom: 5px;
   }

   nav a:hover {
       color: #FF6726;
       border-bottom: 2px solid #FF6726;
   }

   @media screen and (min-width: 290px) and (max-width: 470px) {

       header img {
            width: 55px;
            margin-left: -1.5rem;
        }

       .titulo-principal {
           font-size: 2rem;
           margin-top: -3.8rem;
           margin-left: 2.2rem;
       }

       .subtitulo-principal {
           font-size: 0.7rem;
           margin-top: 1.1rem;
           margin-left: 2.2rem;

       }

       .slogan {
           font-size: 0.7rem;
           margin-left: 2.2rem;
           margin-top: 0.5rem;
           margin-bottom: 2.2rem;
       }

       header nav {
           margin-top: -2.8rem;
           margin-right: 3.5rem;
           font-size: 11px;
           margin-bottom: -1em;
       }

       nav ul {
           display: flex;
           gap: 10px;
       }

       .nav-list .login-button {
           display: none;
       }

       .nav-list {
           margin-right: -4rem;
           font-size: 11px;
       }
   }

   @media screen and (min-width: 480px) and (max-width: 819px) {

       header img {
            width: 65px;
            margin-left: -1.5rem;
        }
        .titulo-principal {
           font-size: 1.6rem;
           margin-top: -4.5rem;
           margin-left: 3.6rem;
       }

       .subtitulo-principal {
           font-size: 0.7rem;
           margin-top: 1.1rem;
           margin-left: 3.6rem;

       }

       .slogan {
           font-size: 0.7rem;
           margin-left: 3.6rem;
           margin-top: 0.5rem;
           margin-bottom: 2.2rem;
       }

       header nav {
           margin-top: -2.8rem;
           margin-right: 3.5rem;
           font-size: 11px;
           margin-bottom: -1em;
       }

       nav ul {
           display: flex;
           gap: 10px;
       }

       .nav-list .login-button {
           display: none;
       }

       .nav-list {
           margin-right: -4rem;
           font-size: 11px;
       }

   }

   @media screen and (min-width: 820px) and (max-width: 1180px) {
        header img {
            width: 70px;
            margin-left: -1.5rem;
        }

       .titulo-principal {
           font-size: 1.6rem;
           margin-top: -4.5rem;
           margin-left: 3.6rem;
       }

       .subtitulo-principal {
           font-size: 0.7rem;
           margin-top: 1.1rem;
           margin-left: 3.6rem;

       }

       .slogan {
           font-size: 0.7rem;
           margin-left: 3.6rem;
           margin-top: 0.5rem;
           margin-bottom: 2.2rem;
       }

       header nav {
           margin-top: -2.8rem;
           margin-right: 3.5rem;
           font-size: 11px;
           margin-bottom: -1em;
       }

       nav ul {
           display: flex;
           gap: 10px;
       }

       .nav-list .login-button {
           display: none;
       }

       .nav-list {
           margin-right: -4rem;
           font-size: 11px;
       }
   }

   @media (max-width: 769px) {
       header .selector-pais {
           display: none;
       }
   }

   @media screen and (min-width: 1180px) and (max-width: 1366px) {
       header nav {
           margin-right: -6em;
           font-size: 12px;
       }

       .login-button {
           padding: 5px 10px;
           font-size: 12px;
       }
   }

.instructions {
    display: flex;
    width: 20%;
    font-size: 18px;
    text-align: left;
    padding: 20px;
    color: #FFF;
    border-radius: 8px;
    box-shadow: 2px 2px 10px #FF6726;
    margin-left: 5rem ;
    margin-top: 10rem;
    background: linear-gradient(90deg, rgba(32,35,42,1) 20%, rgb(3, 3, 3) 99%);
}
@media screen and (min-width: 300px) and (max-width: 768px) {
    .instructions {
        width: 50%;
        font-size: 12px;
    }
}
@media screen and (min-width: 200px) and (max-width: 393px) {
    .instructions {
        width: 60%;
        font-size: 12px;
    }
}
/****************************************************************************/

.containerForm {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 120px); /* Resta el header fijo y espacio extra */
    padding: 20px;
    margin-top: -15rem;
    
}

.form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    background-color: #fff;
    justify-content: center;
    padding: 30px;
    width: 450px;
    border-radius: 20px;
    color: #f1f1f1;
    border: 2px solid #f1f1f1;
    box-shadow: 2px 2px 10px #FF6726;

}


::placeholder {
    color: #fff;
}

.form button {
    align-self: flex-end;
}

.flex-column>label {
    font-weight: 600;
    color: #20232A;
}

.inputForm {
    border: 2px solid #333;
    border-radius: 10px;
    height: 50px;
    display: flex;
    align-items: center;
    padding: 0 10px;
    background-color: #20232A;
    transition: border 0.2s ease-in-out;
    color: #fff;
}

.input {
    flex: 1;
    border: none;
    color: #f1f1f1;
    background-color: transparent;
    padding-left: 10px;
    outline: none;
    box-shadow: 0 0 0px 1000px #20232A inset !important;
    -webkit-text-fill-color: white !important;
}

/* Cambiar el color del icono del Button*/
.inputForm svg {
    fill: #f38328;
}

.inputForm:focus-within {
    border-color: #2d79f3;
}

.flex-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.flex-row label {
    font-size: 14px;
    font-weight: 400;
    color: #20232A;
}

.span {
    font-size: 14px;
    color: #2d79f3;
    font-weight: 500;
    cursor: pointer;
}

@media screen and (min-width: 769px) and (max-width: 1366px) {
    .form {
        font-size: 0.8rem; 
    }
}
@media screen and (min-width: 200px) and (max-width: 393px) {
    .containerForm {
        margin-top: -9rem;
    }
    .form {
        font-size: 0.8rem;
        width: 80%;
        margin-top: 2rem;
        padding: 10px;
    }
    .span {
        font-size: 11px;
    }
    .flex-row label {
        font-size: 13px;
    }
    .p {
        font-size: 11px;
    }
}
.submit {
    margin: 20px 0 10px;
    background: rgb(32, 35, 42);
    background: linear-gradient(90deg, rgba(32, 35, 42, 1) 20%, rgb(3, 3, 3) 99%);
    border: none;
    color: #f38328;
    font-size: 15px;
    font-weight: 500;
    border-radius: 10px;
    height: 50px;
    width: 100%;
    cursor: pointer;
    transition: background 0.2s;
}

.submit:hover {
    background-color: #20232A;
    border: 2px solid #f38328;
    color: #fff;
}

.buttonRegistrese{
    margin: 20px 0 10px;
    background: rgb(32, 35, 42);
    background: linear-gradient(90deg, rgba(32, 35, 42, 1) 20%, rgb(3, 3, 3) 99%);
    border: none;
    color: #f38328;
    font-size: 15px;
    font-weight: 500;
    border-radius: 10px;
    height: 50px;
    width: 100%;
    cursor: pointer;
    transition: background 0.2s;
    padding: 10px 20px;
    text-decoration: none;
}

.p {
    text-align: center;
    font-size: 14px;
    margin: 5px 0;
    color: #333;
}


/* Modal de Login */
#loginModal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}

#loginModal .modal-content {
    background-color: #F3E53A;
    color: #333;
    border-radius: 10px;
    width: 80%;
    max-width: 500px;
}

#loginModal .modal-content p {
    font-size: 16px;
    color: black;
}

#loginModal .close {
    color: black;
}

#loginModal .close:hover {
    color: white;
}

/* Ajuste del mensaje en 'msi' */
.containerForm #msi {
    font-size: 15px;
    /* Aumenta el tamaño de la fuente */
    line-height: 1.2em;
    letter-spacing: 2px;
    text-align: center;
    margin: 10px;
    color: #fff;
}

/* Estilos del modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border-radius: 10px;
    width: 80%;
    max-width: 500px;
    /* Aumenta el ancho del modal */
    color: #333;
}

.modal-content h2 {
    font-size: 18px;
    color: #333;
}

.modal-content p {
    font-size: 14px;
    color: #333;
}

.close {
    color: #333;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
}

.close:hover,
.close:focus {
    color: #F3E53A;
    text-decoration: none;
    cursor: pointer;
}

footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: rgb(32, 35, 42);
    background: linear-gradient(90deg, rgba(32, 35, 42, 1) 20%, rgb(3, 3, 3) 99%);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    z-index: 10;
    font-size: 11px;
    color: #ff6600;
    font-weight:lighter;
    letter-spacing: 2px;

    /* Para asegurarte de que el footer esté por encima de otros elementos */
    
}

@media screen and (min-width: 769px) and (max-width: 1366px) {
    footer p {
        font-size: 11px;
        text-align: center;
    }
}
@media (max-width: 768px) {
    footer p {
        font-size: 10px;
        text-align: center;
    }
}

.mensaje {
    margin-top: -0.5rem;
    padding: 0.75rem;
    font-weight: bold;
    text-align: center;
    border-radius: 5px;
    display: none;
}

.mensaje.exito {
    color: #2e7d32;
    background-color: #c8e6c9;
    border: 1px solid #81c784;
}

.mensaje.error {
    color: #c62828;
    background-color: #ffcdd2;
    border: 1px solid #ef9a9a;
}